Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## XmlCommunication
Class XmlUnmarshal

    java.lang.Object
      XmlCommunication.XmlUnmarshal

public class XmlUnmarshal
extends java.lang.Object

Author:
  student This class is being used for interpreting the response xml packets from TMS.

Field Summary
`private static int` | `ncbId`
`private static ResponseEnquiryItem` | `rei`
`private static ResponseEnquiryNcbAddress` | `rena`
`private static ResponseEnquiryNcbService` | `rens`
`private static java.lang.String` | `response`
`private static ResponseGeneral` | `rg`
`private static ResponseNcb` | `rn`
`private static ResponseReport` | `rr`

Constructor Summary
`XmlUnmarshal()`

Method Summary
`void` | `getAddress(UserAddress_Data address)` This method is being used for getting the address details from TMS.
`int` | `getNcbId()` This method is being used for getting the ncb id field.
`java.lang.String` | `getResponse()` This method is being used for getting the response message.
`java.lang.String` | `getResponseGeneralCode()` This utility method is being used for getting the response general code from TMS.
`java.lang.String` | `getResponseGeneralDescription()` This method is being used for getting the response general description from TMS.
`void` | `getUser(User_Data user)` This method is being used for getting the customer details from TMS.
`java.lang.String` | `readNcbServiceResponse(java.lang.String input)` This method is being used for getting all the attributes of an xml packet which is of type ncb service response.
`java.lang.String` | `readResponse(java.lang.String input)` This method is being used for classifying the type of response and directing to the appropriate method for processing.
`java.lang.String` | `responseEnquiryItem(ResponseEnquiryItem rei)` This method is being used for getting all the attributes of an xml packet which is of type response enquiry item.
`java.lang.String` | `responseEnquiryNcbAddress(ResponseEnquiryNcbAddress rn)` This method is being used for getting all the attributes of an xml packet which is of type response enquiry ncb address.
`java.lang.String` | `responseEnquiryNcbService(ResponseEnquiryNcbService rens)` This method is being used for getting all the attributes of an xml packet which is of type response enquiry ncb service.
`java.lang.String` | `responseGeneral(ResponseGeneral rg)` This method is being used for getting all the attributes of an xml packet which is of type response general.
`java.lang.String` | `responseNcb(ResponseNcb rn)` This method is being used for getting all the attributes of an xml packet which is of type response ncb.
`java.lang.String` | `responseReport(ResponseReport rr)` This method is being used for getting all the attributes of an xml packet which is of type response report.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ncbId

    private static int ncbId

### rei

    private static ResponseEnquiryItem rei

### rena

    private static ResponseEnquiryNcbAddress rena

### rens

    private static ResponseEnquiryNcbService rens

### response

    private static java.lang.String response

### rg

    private static ResponseGeneral rg

### rn

    private static ResponseNcb rn

### rr

    private static ResponseReport rr

Constructor Detail

### XmlUnmarshal

    public XmlUnmarshal()

Method Detail

### getAddress

    public void getAddress(UserAddress_Data address)

  This method is being used for getting the address details from TMS.

  Parameters:
    `address` - The updated address details.
  Returns:
    void

### getNcbId

    public int getNcbId()

  This method is being used for getting the ncb id field.

  Returns:
    int The Ncb Id.

### getResponse

    public java.lang.String getResponse()

  This method is being used for getting the response message.

  Returns:
    String

### getResponseGeneralCode

    public java.lang.String getResponseGeneralCode()

  This utility method is being used for getting the response general code from TMS.

  Returns:
    String The response general code returned by TMS.

### getResponseGeneralDescription

    public java.lang.String getResponseGeneralDescription()

  This method is being used for getting the response general description from TMS.

  Returns:
    String The response general description.

### getUser

    public void getUser(User_Data user)

  This method is being used for getting the customer details from TMS.

  Parameters:
    `user` - The updated user details.
  Returns:
    void

### readNcbServiceResponse

    public java.lang.String readNcbServiceResponse(java.lang.String input)

  This method is being used for getting all the attributes of an xml packet which is of type ncb service response.

  Parameters:
    `input` - The xml string to be interpreted.
  Returns:
    String The interpretation of the xml string.

### readResponse

    public java.lang.String readResponse(java.lang.String input)

  This method is being used for classifying the type of response and directing to the appropriate method for processing.

  Parameters:
    `input` - The input xml string to be interpreted.
  Returns:
    String The interpretation of the xml string.

### responseEnquiryItem

    public java.lang.String responseEnquiryItem(ResponseEnquiryItem rei)

  This method is being used for getting all the attributes of an xml packet which is of type response enquiry item.

  Parameters:
    `rei` - ResponseEnquiryItem to be interpreted.
  Returns:
    String The interpretation of ResponseEnquiryItem.

### responseEnquiryNcbAddress

    public java.lang.String responseEnquiryNcbAddress(ResponseEnquiryNcbAddress rn)

  This method is being used for getting all the attributes of an xml packet which is of type response enquiry ncb address.

  Parameters:
    `rn` - The responseEnquiryNcbAddress to be interpreted.
  Returns:
    String The interpretation of responseEnquiryNcbAddress.

### responseEnquiryNcbService

    public java.lang.String responseEnquiryNcbService(ResponseEnquiryNcbService rens)

  This method is being used for getting all the attributes of an xml packet which is of type response enquiry ncb service.

  Parameters:
    `rens` - ResponseEnquiryNcbService to be interpreted.
  Returns:
    String The interpretation of ResponseEnquiryNcbService.

### responseGeneral

    public java.lang.String responseGeneral(ResponseGeneral rg)

  This method is being used for getting all the attributes of an xml packet which is of type response general.

  Parameters:
    `rg` - Response General to be interpreted.
  Returns:
    String The interpretation of the response general.

### responseNcb

    public java.lang.String responseNcb(ResponseNcb rn)

  This method is being used for getting all the attributes of an xml packet which is of type response ncb.

  Parameters:
    `rn` - ResponseNcb to be interpreted.
  Returns:
    String The interpretation of the response ncb.

### responseReport

    public java.lang.String responseReport(ResponseReport rr)

  This method is being used for getting all the attributes of an xml packet which is of type response report.

  Parameters:
    `rr` - Response Report that is to be interpreted.
  Returns:
    String The interpretation of the response report.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD